Subject: include/linux/ipv6.h, struct ipv6_devconf leaks to userspace

From: Olaf Hering <[email-masked]>
Date: Mon, 21 Jul 2008 14:34:30 +0200

Found by make O="$header_dir" headers_install_all in 2.6.26:

struct ipv6_devconf contains conditional members, guarded by CONFIG_*.

Please move the struct into #ifdef __KERNEL__

Olaf